import _MechEye

class Range:
    def __init__(self, impl):
        if not isinstance(impl, _MechEye.Range):
            raise TypeError(
                "Unsupported type for argument impl. Got {}, expected {}".format(
                    type(impl), type(_MechEye.Range)
                )
            )
        self.__impl = impl

    def __str__(self):
        return str(self.__impl)

    def impl(self):
        return self.__impl

    def get_lower(self):
        impl = self.__impl
        return str(impl.get_lower())

    def get_upper(self):
        impl = self.__impl
        return str(impl.get_upper())

