import _MechEye

class Settings:
    def __init__(self, impl):
        if not isinstance(impl, _MechEye.Settings):
            raise TypeError(
                "Unsupported type for argument impl. Got {}, expected {}".format(
                    type(impl), type(_MechEye.Settings)
                )
            )
        self.__impl = impl

    def __str__(self):
        return str(self.__impl)

    def impl(self):
        return self.__impl

    def get_mode(self):
        return self.__impl.get_mode()

    def get_start(self):
        return self.__impl.get_start()  

    def get_end(self):
        return self.__impl.get_end()  

    def get_count(self):
        return self.__impl.get_count() 
        
    def get_level(self):
        return self.__impl.get_level() 

